"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var typedHtml = require("typed-html");
function printBreadcrumbLinks(breadcrumb, pageDepth) {
    if (breadcrumb) {
        // First, print previous items
        var previousItems = printBreadcrumbLinks(breadcrumb.previousItem, pageDepth);
        return previousItems +
            typedHtml.createElement("li", { class: "breadcrumb-item" },
                typedHtml.createElement("a", { href: new Array(pageDepth - breadcrumb.depth + 1).join('../') + 'index.html' }, breadcrumb.title));
    }
    else {
        return '';
    }
}
function printBreadcrumb(breadcrumb) {
    return typedHtml.createElement("ol", { class: "breadcrumb" },
        printBreadcrumbLinks(breadcrumb.previousItem, breadcrumb.depth),
        typedHtml.createElement("li", { class: "breadcrumb-item active" }, breadcrumb.title));
}
function layout(breadcrumb, content) {
    var urlPrefix = Array(breadcrumb.depth + 1).join('../') + '__resources/';
    return '<!DOCTYPE html>\n' + typedHtml.createElement("html", null,
        typedHtml.createElement("head", null,
            typedHtml.createElement("title", null,
                breadcrumb.title,
                " - Stryker report"),
            typedHtml.createElement("meta", { charset: "utf-8" }),
            typedHtml.createElement("meta", { name: "viewport", content: "width=device-width, initial-scale=1, shrink-to-fit=no" }),
            typedHtml.createElement("link", { rel: "stylesheet", href: urlPrefix + "bootstrap/css/bootstrap.min.css" }),
            typedHtml.createElement("link", { rel: "stylesheet", href: urlPrefix + "highlightjs/styles/default.css" }),
            typedHtml.createElement("link", { rel: "stylesheet", href: urlPrefix + "stryker.css" })),
        typedHtml.createElement("body", null,
            typedHtml.createElement("img", { class: "stryker-image", alt: "Stryker", src: urlPrefix + "stryker-80x80.png" }),
            typedHtml.createElement("div", { class: "container-fluid" },
                typedHtml.createElement("div", { class: "row" },
                    typedHtml.createElement("div", { class: "col-lg-12" },
                        typedHtml.createElement("h1", { class: "display-4" },
                            breadcrumb.title,
                            " ",
                            typedHtml.createElement("small", { class: "text-muted" }, "- Stryker report")))),
                printBreadcrumb(breadcrumb),
                typedHtml.createElement("div", { class: "row" }, content),
                typedHtml.createElement("footer", null,
                    "Generated with stryker-html-reporter generator. Visit the ",
                    typedHtml.createElement("a", { href: "http://stryker-mutator.github.io", target: "_blank" }, "Stryker website"))),
            typedHtml.createElement("script", { src: urlPrefix + "popper.js/dist/umd/popper.min.js", defer: "defer" }),
            typedHtml.createElement("script", { src: urlPrefix + "jquery/dist/jquery.slim.min.js", defer: "defer" }),
            typedHtml.createElement("script", { src: urlPrefix + "bootstrap/js/bootstrap.min.js", defer: "defer" }),
            typedHtml.createElement("script", { src: urlPrefix + "stryker.js", defer: "defer" })));
}
exports.layout = layout;
//# sourceMappingURL=layout.js.map